xmltooling::TrustEngine Class Reference

Evaluates the trustworthiness and validity of security information against implementation-specific requirements. More...

`#include <xmltooling/security/TrustEngine.h>`

Inheritance diagram for xmltooling::TrustEngine:

## Public Member Functions

void | setKeyInfoResolver (KeyInfoResolver *keyInfoResolver)
| Supplies a KeyInfoResolver instance.

## Protected Member Functions

| TrustEngine (const xercesc::DOMElement *e=0, bool deprecationSupport=true)
| Constructor.

## Protected Attributes

KeyInfoResolver * | m_keyInfoResolver
| Custom KeyInfoResolver instance.

## Detailed Description

Evaluates the trustworthiness and validity of security information against implementation-specific requirements.

## Constructor & Destructor Documentation

## TrustEngine()

xmltooling::TrustEngine::TrustEngine | ( | const xercesc::DOMElement * | e = 0,
|  | bool | deprecationSupport = true )

protected

Constructor.

If a DOM is supplied, the following XML content is supported:

- <KeyInfoResolver> elements with a type attribute

XML namespaces are ignored in the processing of this content.

Parameters

  e | DOM to supply configuration for provider
  deprecationSupport | true iff deprecated settings and features should be supported

## Member Function Documentation

## setKeyInfoResolver()

void xmltooling::TrustEngine::setKeyInfoResolver | ( | KeyInfoResolver * | keyInfoResolver | ) |

Supplies a KeyInfoResolver instance.

This method must be externally synchronized with any code that uses the object. Any previously set object is destroyed.

Parameters

  keyInfoResolver | new KeyInfoResolver instance to use

The documentation for this class was generated from the following file:

- xmltooling/security/TrustEngine.h